#if defined(RCSIDENT) && !defined(lint)
static char rcsid[] =
	"$Header: /usr/local/cvsroot/apc/cmd/updown/noioctl.c,v 1.1 1989/03/23 12:00:06 steve Exp $";
	"$Log: noioctl.c,v $
 * Revision 1.1  1989/03/23  12:00:06  steve
 * Initial revision
 *";
#endif

#include <stdio.h>

#define LOGFILE "/tmp/ioctl.log"

noioctl(fildes, request, arg)
 int fildes, request; char *arg;
{
 FILE *f = NULL;

	if( telenet() ) {
		if( f = fopen(LOGFILE, "a") ) {
			fprintf(f, "ioctl(%d, %x, %x)\n", fildes, request, arg);
			fclose(f);
		}
	}
	else ioctl(fildes, request, arg);
}
